### Method

# Clutter PanGesture set_required_button

#### Declaration [src]

    void
    clutter_pan_gesture_set_required_button (
      ClutterPanGesture* self,
      unsigned int required_button
    )

#### Description [src]

Sets the mouse button required for the pan gesture to recognize. Pass 0 to allow any button. Touch input is always handled as a press of the primary button.

Sets property | `Clutter.PanGesture:required-button`

#### Parameters

`required_button`

  Type: `unsigned int`

  Mouse button required for the gesture to recognize.